<template>
  <div
    @click="$emit('click')"
    class="toTop"
    :style="{transform: 'translateY(-'+bottom+'px)', right: right+'px'}">
    <img
      class="toTop-icon"
      src="~/static/icons/corner-right.png"
      alt="">
  </div>
</template>

<script>
  export default {
    name: "backToTop",
    data() {
      return {
        visible: false,
        bottom: -40,
        right: -40
      }
    },
    methods: {
      show() {
        if (this.visible) return;
        this.right = 20;
        this.visible = true;
      },
      hide() {
        if (!this.visible) return;
        this.right = -40;
        this.visible = false;
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .toTop {
    transition: right .2s ease-out;
    position: fixed;
    right: 20px;
    bottom: 0px;
    width: 40px;
    height: 40px;
    background-color: #18202f;
    border: 1px solid #3b4356;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    &-icon {
      transform: rotate(-90deg);
    }
  }
</style>
